# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(XML/Writer.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name XML-Writer-Simpler
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Perl extension for writing XML data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MM/MMCCLIMON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a convenience module for writing XML. It's a subclass of
`XML::Writer', with a single convenience method so you usually won't have
to deal with remembering to call `startTag()', `endTag()', and
`emptyTag()'.

This module is lies somewhere in between XML::Generator and
the XML::Writer::Nest manpage. It nests calls like XML::Generator, but allows for
arbitrary subroutine calls as well. It requires fewer braces in general than
XML::Writer::Nest.

This module is a subclass of XML::Writer, so if you can't do what you want to
with the `tag' method, you can fall back to the methods native to XML::Writer.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/X*

%changelog
* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

